Bug 1122274 - Consider not showing Products under Activation key subscription choices that only have puppet/docker/file repos
Summary: Consider not showing Products under Activation key subscription choices that ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Activation Keys
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: David Davis
QA Contact: Perry Gagne
URL:
Whiteboard:
Depends On:
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker
TreeView+ depends on / blocked
 
Reported: 2014-07-22 20:17 UTC by Shannon Hughes
Modified: 2019-02-25 20:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 20:03:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 16588 None None None 2016-09-19 17:05:30 UTC

Description Shannon Hughes 2014-07-22 20:17:46 UTC
Description of problem:

I created a Product named My-Puppets as a container to hold a Puppet Type repo. I then created a Activation Key. Under the Subscriptions tab of the activation key I see that I can add the My-Puppets as a unlimited subscription. Mentioned this to jsherrill and we both came to conclusion that we probably should not be displaying Products as subscriptions under activation keys that only contain puppet repos.

Comment 1 RHEL Product and Program Management 2014-07-22 20:24:17 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Brad Buckingham 2014-07-23 19:59:34 UTC
We should address this for both Activation Keys and Content Hosts.

Comment 4 Mike McCune 2015-03-12 22:46:57 UTC
This is not a blocker, clearing flag

Comment 6 David Davis 2016-09-06 12:46:26 UTC
This bug is a bit outdated. I think we now want to hide products with docker, file, and puppet only content.

Comment 7 Bryan Kearney 2016-09-23 00:02:31 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/16588 has been resolved.

Comment 10 Bryan Kearney 2017-08-01 20:03:18 UTC
The fix to this bug will be delivered with release 6.3 of Satellite.


Note You need to log in before you can comment on or make changes to this bug.